Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginCompartment

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginCompartment

    public class PluginCompartment

extends PluginSBase

This class wraps org.sbml.libsbml.Compartment for the plug-in.

Author:
See Also:
  `Compartment`

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`` | `PluginCompartment(java.lang.String _type)` Constructor
`protected` | `PluginCompartment(java.lang.String id, java.lang.String _type)` Constructor

Method Summary
`java.lang.String` | `getCompartmentType()`
`java.lang.String` | `getCompartmentTypeOfPanel()`
`boolean` | `getConstant()`
`double` | `getHeight()`
`java.lang.String` | `getId()`
`double` | `getInnerWidth()`
`java.awt.Color` | `getLineColor()`
`java.lang.String` | `getName()`
`double` | `getNamePositionX()`
`double` | `getNamePositionY()`
`double` | `getOuterWidth()`
`java.lang.String` | `getOutside()`
`PluginInformationBox` | `getPluginInformationBox()`
`double` | `getSize()`
`long` | `getSpatialDimensions()`
`double` | `getThickness()`
`java.lang.String` | `getUnits()`
`double` | `getVolume()`
`double` | `getWidth()`
`double` | `getX()`
`double` | `getY()`
`void` | `setCompartmentType(java.lang.String type)` Sets the type of this PluginCompartment.
`void` | `setCompartmentTypeOfPanel(java.lang.String strCompartmentType)`
`void` | `setConstant(boolean constant)` Sets true if this PluginCompartment is constant
`void` | `setHeight(double height)` Sets the height of this PluginCompartment.
`void` | `setInnerWidth(double innerWidth)` Sets the InnerWidth of this PluginCompartment.
`void` | `setLineColor(java.awt.Color lineColor)` Sets a lineColor of this PluginCompartment.
`void` | `setName(java.lang.String name)` Sets the name of this PluginCompartment
`void` | `setNamePositionX(double x2)` Sets x position of this PluginCompartment name
`void` | `setNamePositionY(double y2)` Sets y positon of this PluginCompartment name
`void` | `setOuterWidth(double outerWidth)` Sets the outerWidth of this PluginCompartment.
`void` | `setOutside(java.lang.String outside)` Sets the outside of this PluginCompartment
`void` | `setPluginInformationBox(PluginInformationBox _PluginInformationBox)`
`void` | `setSize(double size)` Sets the size of this PluginCompartment
`void` | `setSpatialDimensions(long spatialDimensions)` Sets SpatialDimensions of this PluginCompartment If value is not one of [0, 1, 2, 3] the function will have no effect (i.e.
`void` | `setThickness(double thickness)` Sets a thickness of this PluginCompartment.
`void` | `setUnits(java.lang.String unit)` Sets the units of this PluginCompartment.
`void` | `setVolume(double volume)` Sets the volume of this PluginCompartment.
`void` | `setWidth(double width)` Sets the width of this PluginCompartment.
`void` | `setX(double x)` Sets the x position of this PluginCompartment.
`void` | `setY(double y)` Sets the y position of this PluginCompartment.
`void` | `update(PluginCompartment compartment)` Updates all properties of this PluginCompartment to the same as the given PluginCompartment.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginCompartment

    public PluginCompartment(java.lang.String _type)

  Constructor

  Parameters:
    `type` - the type of Compartment. The type is a field of PluginCompartmentSymbolType. See jp.sbi.celldesigner.plugin.util.PluginCompartmentSymbolType.

### PluginCompartment

    protected PluginCompartment(java.lang.String id,
                                java.lang.String _type)

  Constructor

  Parameters:
    `id` - the compartment id
    `type` - the type of compartment

Method Detail

### update

    public void update(PluginCompartment compartment)

  Updates all properties of this PluginCompartment to the same as the given PluginCompartment.

  Parameters:
    `compartment` -

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginCompartment

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginCompartment

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginCompartment

  Parameters:
    `name` -

### getCompartmentTypeOfPanel

    public java.lang.String getCompartmentTypeOfPanel()

### setCompartmentTypeOfPanel

    public void setCompartmentTypeOfPanel(java.lang.String strCompartmentType)

### getConstant

    public boolean getConstant()

  Returns:
    true if this PluginCompartment is constant, false otherwise.

### setConstant

    public void setConstant(boolean constant)

  Sets true if this PluginCompartment is constant

  Parameters:
    `constant` - true or false

### getOutside

    public java.lang.String getOutside()

  Returns:
    the outside of this PluginCompartment.

### setOutside

    public void setOutside(java.lang.String outside)

  Sets the outside of this PluginCompartment

  Parameters:
    `outside` -

### getSize

    public double getSize()

  Returns:
    the size of this PluginCompartment

### setSize

    public void setSize(double size)

  Sets the size of this PluginCompartment

  Parameters:
    `size` -

### getSpatialDimensions

    public long getSpatialDimensions()

  Returns:
    the SpatialDimensions of this PluginCompartment.

### setSpatialDimensions

    public void setSpatialDimensions(long spatialDimensions)

  Sets SpatialDimensions of this PluginCompartment If value is not one of [0, 1, 2, 3] the function will have no effect (i.e. spatialDimensions will not be set)

  Parameters:
    `spatialDimensions` -

### getUnits

    public java.lang.String getUnits()

  Returns:
    the units of this Compartment.

### setUnits

    public void setUnits(java.lang.String unit)

  Sets the units of this PluginCompartment.

  Parameters:
    `unit` -

### getVolume

    public double getVolume()

  Returns:
    the volume of this PluginCompartment.

### setVolume

    public void setVolume(double volume)

  Sets the volume of this PluginCompartment.

  Parameters:
    `volume` -

### getHeight

    public double getHeight()

  Returns:
    the height of this PluginCompartment.

### setHeight

    public void setHeight(double height)

  Sets the height of this PluginCompartment.

  Parameters:
    `height` -

### getInnerWidth

    public double getInnerWidth()

  Returns:
    the innerWidth of this PluginCompartment.

### setInnerWidth

    public void setInnerWidth(double innerWidth)

  Sets the InnerWidth of this PluginCompartment.

  Parameters:
    `innerWidth` -

### getLineColor

    public java.awt.Color getLineColor()

  Returns:
    the lineColor of this PluginCompartment.

### setLineColor

    public void setLineColor(java.awt.Color lineColor)

  Sets a lineColor of this PluginCompartment.

  Parameters:
    `lineColor` -

### getOuterWidth

    public double getOuterWidth()

  Returns:
    the outerWidth of this PluginCompartment.

### setOuterWidth

    public void setOuterWidth(double outerWidth)

  Sets the outerWidth of this PluginCompartment.

  Parameters:
    `outerWidth` -

### getThickness

    public double getThickness()

  Returns:
    the thickness of this PluginCompartment.

### setThickness

    public void setThickness(double thickness)

  Sets a thickness of this PluginCompartment.

  Parameters:
    `thickness` -

### getCompartmentType

    public java.lang.String getCompartmentType()

  Returns:
    the type of this PluginCompartment.

### setCompartmentType

    public void setCompartmentType(java.lang.String type)

  Sets the type of this PluginCompartment.

  Parameters:
    `type` -

### getWidth

    public double getWidth()

  Returns:
    the width of this PluginCompartment.

### setWidth

    public void setWidth(double width)

  Sets the width of this PluginCompartment.

  Parameters:
    `width` -

### getX

    public double getX()

  Returns:
    the x position of this PluginCompartment.

### setX

    public void setX(double x)

  Sets the x position of this PluginCompartment.

  Parameters:
    `x` - the x position of this Compartment.

### getY

    public double getY()

  Returns:
    the y position of this PluginCompartment.

### setY

    public void setY(double y)

  Sets the y position of this PluginCompartment.

  Parameters:
    `y` -

### setNamePositionX

    public void setNamePositionX(double x2)

  Sets x position of this PluginCompartment name

  Parameters:
    `x2` - x position of nameImage

### setNamePositionY

    public void setNamePositionY(double y2)

  Sets y positon of this PluginCompartment name

  Parameters:
    `y2` -

### getNamePositionX

    public double getNamePositionX()

  Returns:
    the x position of this PluginCompartment name

### getNamePositionY

    public double getNamePositionY()

  Returns:
    the y position of this PluginCompartment name

### getPluginInformationBox

    public PluginInformationBox getPluginInformationBox()

### setPluginInformationBox

    public void setPluginInformationBox(PluginInformationBox _PluginInformationBox)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD